// chap5_cts_type_valeur.cpp : fichier projet principal.

#include "stdafx.h"

using namespace System;

ref struct Point
{
public: 
	int x,y;
} ;

ref class Personne
{
public:
	String^ nom;
	int age;
} ;

int main(array<System::String ^> ^args)
{
	Personne^ pers = gcnew Personne();
	pers->nom="Marc";
	pers->age=35;


	int entier = 4; // alias de System::Int32
	System::Int32 nombre = entier;

    Point p; // initialisation automatique sur la pile : pas de gcnew
	p.x = 2;
	p.y = 4;

    return 0;
}
